Bug 831875 - [abrt] rhythmbox-2.97-1.fc17: emit_updated_in_idle: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: emit_updated_in_idle: Process /usr/bin/rhythmbo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:faa9310ae8c052297443f3539f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 21:25 EDT by Dominic Ottaviano
Modified: 2013-07-31 16:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:44:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.87 KB, text/plain)
2012-06-13 21:25 EDT, Dominic Ottaviano
no flags Details
File: xsession_errors (8.92 KB, text/plain)
2012-06-13 21:25 EDT, Dominic Ottaviano
no flags Details
File: maps (109.58 KB, text/plain)
2012-06-13 21:25 EDT, Dominic Ottaviano
no flags Details
File: dso_list (23.97 KB, text/plain)
2012-06-13 21:25 EDT, Dominic Ottaviano
no flags Details
File: build_ids (9.09 KB, text/plain)
2012-06-13 21:25 EDT, Dominic Ottaviano
no flags Details

  None (edit)
Description Dominic Ottaviano 2012-06-13 21:25:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
comment:        Checking or unchecking the "MediaServer2 D-Bus interface" plugin checkbox. It does not happen every time you check or uncheck the box.
crash_function: emit_updated_in_idle
executable:     /usr/bin/rhythmbox
kernel:         3.4.0-1.fc17.x86_64
pid:            10553
pwd:            /home/dominic
time:           Wed 13 Jun 2012 09:00:16 PM EDT
uid:            1000
username:       dominic

backtrace:      Text file, 68479 bytes
build_ids:      Text file, 9307 bytes
dso_list:       Text file, 24548 bytes
maps:           Text file, 112206 bytes
xsession_errors: Text file, 9134 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dominic/2

core_backtrace:
:85a9ac7115cc9b7b84a44a5790b2d5989c94595c 0x4e01 - libdbus-media-server.so -
:85a9ac7115cc9b7b84a44a5790b2d5989c94595c 0x4faf - libdbus-media-server.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xc00f9 - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xc0495 - librhythmbox-core.so.6 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xc20f7 - librhythmbox-core.so.6 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xbbd8c - librhythmbox-core.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:a87bd1401d9463e0bf391e3f95653ed1121ee807 0x115f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=earth.dinonet.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/dominic/keyring-9x6wSo
:IMSETTINGS_MODULE=none
:USER=dominic
:USERNAME=dominic
:MAIL=/var/spool/mail/dominic
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dominic/.local/bin:/home/dominic/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dominic
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1151
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dominic
:SHLVL=1
:LOGNAME=dominic
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BUAHDEcnUj,guid=5f1a0ff53ffa6048a6bfd0f500000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dominic
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-dominic-h5FNXd/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1158,unix/unix:/tmp/.ICE-unix/1158
:SSH_AUTH_SOCK=/run/user/dominic/keyring-9x6wSo/ssh
:GPG_AGENT_INFO=/run/user/dominic/keyring-9x6wSo/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=10553
:DESKTOP_STARTUP_ID=gnome-shell-1375-earth.dinonet.net-rhythmbox-14_TIME5171475

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63142                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63142                63142                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/dominic/.xsession-errors
:2:/home/dominic/.xsession-errors
:3:anon_inode:[eventfd]
:4:socket:[969297]
:5:socket:[967458]
:6:socket:[966326]
:7:anon_inode:[eventfd]
:8:socket:[967459]
:9:socket:[969307]
:10:anon_inode:[eventfd]
:11:anon_inode:[eventfd]
:12:anon_inode:inotify
:13:/home/dominic/.cache/rhythmbox/album-art/store.tdb
:14:socket:[966331]
:15:socket:[969336]
:16:/tmp/ffiDWrgqz (deleted)
:17:socket:[967461]
:18:socket:[967462]
:19:socket:[969685]
:20:anon_inode:[eventfd]
:21:anon_inode:[eventfd]
:22:socket:[969686]
:23:pipe:[969687]
:24:pipe:[969687]
:25:socket:[966614]
:26:/home/dominic/Music/Nightwish/Century Child/09. Phantom Of The Opera.flac
:27:/home/dominic/Music/Nightwish/Century Child
:28:socket:[971647]
:29:anon_inode:[eventfd]
:30:anon_inode:[eventfd]

smolt_data:
:
:
:General
:=================================
:UUID: f6ec0ee1-79f4-4cb9-a673-9d1449dbe168
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6421.20
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 955 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 3200
:System Memory: 7978
:System Swap: 10015
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:22908:4098:22870) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port C)
:(4098:17299:4098:17299) pci, ahci, RAID, SB7x0/SB8x0/SB9x0 SATA Controller [RAID5 mode]
:(4098:22909:4098:22870) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port D)
:(4098:22870:4098:22870) pci, None, HOST/PCI, RD790 Northbridge only dual slot PCI-e_GFX and HT3 K8 part
:(4332:33128:4163:33669) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4354:11:4354:67) pci, snd_ctxfi, MULTIMEDIA, X-Fi Titanium series [EMU20k2]
:(4098:22904:4098:22870) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port A)
:(4358:13315:4163:33668) pci, firewire_ohci, FIREWIRE, P8P67 Deluxe Motherboard
:(4098:17308:4098:17308) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4098:17285) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4098:17283) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17305:4098:17302) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17304) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4098:17305) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4098:17303) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4098:17304) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4318:3045:4318:1951) pci, snd_hda_intel, MULTIMEDIA, GF100 High Definition Audio Controller
:(4318:1741:4318:1951) pci, nouveau, VIDEO, GF100 [GeForce GTX 470]
:(4098:22912:4098:22870) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx1 port A)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_earth-lv_root / ext4 4096 4096 51129264 48745911 46186321 12804096 12604652 12604652
:/dev/mapper/pdc_chfcgeacp1 /boot ext4 1024 1024 508745 424411 398811 128016 127672 127672
:/dev/mapper/vg_earth-lv_home /home ext4 4096 4096 121488359 93356205 87275284 30408704 30402410 30402410
:/dev/mapper/luks-a47edeab-6492-4908-838d-a6ade1db069b WITHHELD ext4 4096 4096 78053322 5015084 1107989 19537920 19525256 19525256
:

var_log_messages:
:Jun 13 19:27:12 earth yum[22571]: Updated: rhythmbox-2.97-1.fc17.x86_64
:Jun 13 20:59:51 earth kernel: [ 5151.832679] rhythmbox[8246]: segfault at 48 ip 00007fb0ea734e01 sp 00007fff3e453cc0 error 4 in libdbus-media-server.so[7fb0ea730000+b000]
:Jun 13 20:59:54 earth abrt[10532]: Saved core dump of pid 8246 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-13-20:59:51-8246 (1296183296 bytes)
:Jun 13 21:00:16 earth kernel: [ 5176.759470] rhythmbox[10553]: segfault at 48 ip 00007f1670464e01 sp 00007fffdbc02ca0 error 4 in libdbus-media-server.so[7f1670460000+b000]
:Jun 13 21:00:17 earth abrt[10644]: Saved core dump of pid 10553 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-13-21:00:16-10553 (157413376 bytes)
Comment 1 Dominic Ottaviano 2012-06-13 21:25:10 EDT
Created attachment 591699 [details]
File: backtrace
Comment 2 Dominic Ottaviano 2012-06-13 21:25:12 EDT
Created attachment 591700 [details]
File: xsession_errors
Comment 3 Dominic Ottaviano 2012-06-13 21:25:15 EDT
Created attachment 591701 [details]
File: maps
Comment 4 Dominic Ottaviano 2012-06-13 21:25:18 EDT
Created attachment 591702 [details]
File: dso_list
Comment 5 Dominic Ottaviano 2012-06-13 21:25:20 EDT
Created attachment 591703 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-07-03 16:35:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:44:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.